Subject: Re: [Bitcoin-development] Address Expiration to Prevent Reuse

From: Tom Harding <[email-masked]>
Date: Thu, 26 Mar 2015 15:23:24 -0700

On 3/26/2015 2:44 PM, Gregory Maxwell wrote:
> On Thu, Mar 26, 2015 at 9:26 PM, Tom Harding <[email-masked]> wrote:
>> I should have been clearer that the motivation for address expiration is to
>> reduce the rate of increase of the massive pile of bitcoin addresses out
>> there which have to be monitored forever for future payments.  It could make
>> a significant dent if something like this worked, and were used by default
>> someday.
> Great, that can be accomplished by simply encoding an expiration into
> the address people are using and specifying that clients enforce it.

Another way to look at it: is the benefit of the bitcoin network 
providing this service sufficiently greater than the cost?

The main cost is that a reorganization has a chance of invalidating a 
payment made at or just before expiration (if the payment isn't early 
enough in the new chain).  Would that increase recommended confirmations 
above their current levels, which are centered around the possibility of 
a malicious double-spend?  Unclear to me.